﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Framework;
using MeshBrowser.SlimDXRenderer;

namespace Client
{
    class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            // create an instance of OBJ file parser/loader
            ObjLoader loader = new ObjLoader();
            TriangleMesh mesh = loader.Execute(args[0]);            

            // TODO: write your code here

            // create and start the renderer            
            SlimDXRenderer renderer = new SlimDXRenderer();            
            renderer.ShowRenderWindow(new TriangleMesh[] { mesh });
        }
    }
}
