﻿using System;
using SlimDX;

namespace SlimDXRenderSystem
{
    public class Utils
    {

        /// <summary>
        /// From radians to degrees.
        /// </summary>
        /// <param name="rad">Value in radians.</param>
        /// <returns>Degrees.</returns>
        public static float ToDegrees(float rad)
        {
            return rad * ((float)180 / (float)Math.PI);
        }

        /// <summary>
        /// From degrees to radians.
        /// </summary>
        /// <param name="deg">Value in degrees.</param>
        /// <returns>Radians.</returns>
        public static float ToRadians(float deg)
        {
            return deg * ((float)Math.PI / 180);
        }
    }
}
